<?php /* Post Format: Standard */ ?>

<?php
$args = array(
	'numberposts' => -1,
	'order' => 'ASC',
	'post_mime_type' => 'image',
	'post_parent' => $post->ID,
	'post_status' => null,
	'post_type' => 'attachment',
);
$attachments = get_children( $args );
$firstimg = "";
if ( !empty($attachments) ) {
	foreach ( $attachments as $attachment ) {
		$image_attributes = wp_get_attachment_image_src( $attachment->ID, 'full' )  ? wp_get_attachment_image_src( $attachment->ID, 'full' ) : wp_get_attachment_image_src( $attachment->ID, 'full' );
	}
} ?>


<div id="post-<?php the_ID(); ?>" <?php post_class(); ?> data-post-size="<?php echo get_post_meta($post->ID, 'satori_post-size', true); ?>">

	<?php if ( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) { ?>

    <div class="post-wrapper">
    	<?php 
		if ( is_single() ) {
			if ( get_post_type($post->ID) == 'post' && has_post_thumbnail($post->ID) ) { 
				echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div><div class="clearboth"></div>'; 
			} 
		} ?>
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            	<h1 class="entry-title"><?php the_title(); ?></h1>
            <?php } else { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <div class="clearleft"></div>
        <?php 
		if ( is_home() || is_category() || is_search() || is_author() || is_date() || is_tag() ) {
			if ( get_post_type($post->ID) == 'post' && has_post_thumbnail($post->ID) ) { 
				echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div><div class="clearboth"></div>'; 
			} 
		} ?>
        <div class="post-content">
            <?php the_content(__('Read more', 'satori' )); ?>
        </div>
		<?php include 'post-meta.php'; ?> 
        <div class="clearboth"></div>   
    </div>
    
    <?php } else { ?>
    
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    
    <?php $ov_std = get_option_tree('show_overlays','',false,true,-1);
	if ( isset($ov_std[0])  ) {
		if ( function_exists('get_option_tree') && $ov_std[0] == 'Standard' ) { ?>
    <div class="overlay-post"></div>
    <?php }} ?>
    <?php 
	$image_id = get_post_thumbnail_id();
	$image_url = wp_get_attachment_image_src($image_id,'square', false);
	$postthumb = $image_url[0];
	$bck = 'style="background-image: url('.$postthumb.');"';
	?>
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in" <?php echo $bck; ?>>
    	<a href="<?php the_permalink(); ?>">
    		<div class="image-link-inner"></div>
    	</a>
        
        <?php if ( function_exists('get_option_tree') && get_option_tree('disable_captions') != 'Never show' ) { ?>
        <div class="image-post-overlay">
        	<?php if ( has_excerpt( $post->ID ) ) { ?>
			<div class="image-post-overlay-in">
				<?php the_excerpt(); ?>
            </div>
            <?php } ?>
        </div>
        <?php } ?>
 
		<?php 
		$image_id = get_post_thumbnail_id();
		$image_url = wp_get_attachment_image_src($image_id,'square', false);
		$postthumb = 'postthumb_'.$post->ID;
		$$postthumb = $image_url[0];
		global $isotopebck;
		$isotopebck[$post->ID] = $$postthumb; 
		?>
        
    </div>
    
    <?php } else { ?>
    
    <a href="<?php the_permalink(); ?>">
    	<div class="standard-post-linker">
    	</div>
    </a>
    <?php if ( function_exists('get_option_tree') && get_option_tree('show_overlays') == 'Yes' ) { ?>
    <div class="overlay-post"></div>
    <?php } ?>
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
    	<div class="post-content">
    	<?php the_title(); ?>
    	</div>
    </div>
    
    <?php } ?>
    
    <style type="text/css">
    #post-<?php echo $post->ID; ?> {
		background-color: <?php echo get_post_meta($post->ID, 'satori_project-background', true); ?>;
	}
	</style>
    
    <?php } ?>
    
</div><!--.post-single-->